CHMOD(1)

BEZEICHNUNG
chmod - Dateimodusbits ändern

ÜBERSICHT
chmod [OPTION]... MODUS[,MODUS]... DATEI...
chmod [OPTION]... OKTAL‐MODUS DATEI...
chmod [OPTION]... --reference=RDATEI DATEI...

BESCHREIBUNG
Diese Handbuchseite beschreibt die GNU-Version von chmod. chmod ändert die Dateimodusbits jeder angegebenen Datei gemäß Modus, der entweder eine symbolische Repräsentation der durchzuführenden Änderungen sein kann oder eine oktale Zahl, die das Bitmuster für die neuen Modusbits darstellt.

Das Format eines symbolischen Modus ist [ugoa...][[-+=][Rechte...]...], wobei Rechte entweder keines oder mehrere Zeichen aus der Menge rwxXst ist oder ein einzelner Buchstabe aus der Menge ugo. Es können mehrere symbolische Modi, durch Kommata getrennt, angegeben werden.

Eine Kombination der Buchstaben ugoa steuert, für welche Benutzer die Zugriffsrechte der Datei geändert werden: Der Benutzer, dem die Datei gehört (u), andere Benutzer, die der Gruppe der Datei angehören (g), andere Benutzer, die nicht der Gruppe der Datei angehören (o) oder alle Benutzer (a). Wenn keiner der Buchstaben angegeben wurde, ist der Effekt so, als sei a angegeben worden, aber Bits, die in der umask gesetzt sind, werden nicht beeinflusst.

Der Operator + bewirkt, dass die ausgewählten Dateimodusbits zu den existierenden Dateimodusbits jeder Datei hinzugefügt werden, - bewirkt, dass sie entfernt werden. = bewirkt, dass sie hinzugefügt werden und nicht erwähnte Bits entfernt werden, mit der Ausnahme, dass bei Verzeichnissen nicht erwähnte »set-user-ID«- und »set-group-ID«-Bits nicht beeinflusst werden.

Die Buchstaben rwxXst wählen die Dateimodusbits für die betroffenen Benutzer aus: Lesen (r), Schreiben (w), Ausführen (oder Suchen bei Verzeichnissen) (x), nur Ausführen/Suchen, wenn die Datei ein Verzeichnis ist oder bereits für einige Benutzer die Ausführungsrechte besitzt (X), die Benutzer- oder Gruppen-ID bei der Ausführung setzen (s), Schalter für eingeschränktes Löschen oder »klebriges« (sticky) Bit (t). Statt einer oder mehrerer dieser Buchstaben können Sie exakt einen der Buchstaben ugo angeben: Die Rechte werden dem Benutzer verliehen, dem die Datei gehört (u), die Rechte werden anderen Benutzern verliehen, die Mitglieder der Gruppe der Datei sind (g) oder die Rechte werden Benutzern verliehen, die in keiner der vorherigen zwei Kategorien sind (o).

Ein numerischer Modus besteht aus einer bis vier oktalen Ziffern (0-7), die aus der Summe der Bits mit den Werten 4, 2 und 1 abgeleitet werden. Weggelassene Ziffern werden als führende Nullen angenommen. Die erste Ziffer wählt die Attribute »set-user-ID« (4), »set-group-ID« (2) und eingeschränktes Löschen oder »klebrig« (sticky, 1). Die zweite Ziffer wählt die Rechte des Benutzers aus, dem die Datei gehört: Lesen (4), Schreiben (2) und Ausführen (1). Die dritte Ziffer wählt die Rechte für Benutzer aus, die in der Gruppe der Datei sind, dabei gelten dieselben Werte; die vierte Ziffer gilt für Benutzer, die nicht in der Gruppe der Datei sind, auch hier gelten dieselben Werte.

chmod ändert niemals die Rechte von symbolischen Links, denn der Systemaufruf von chmod kann deren Rechte nicht ändern. Das ist aber kein Problem, weil die Rechte von symbolischen Links niemals benutzt werden. Allerdings ändert chmod bei jedem in der Befehlszeile aufgelisteten symbolischen Link die Rechte der Datei, auf die dieser zeigt. Im Gegensatz dazu ignoriert chmod symbolische Links, die bei einem rekursiven Durchwandern von Verzeichnissen angetroffen werden.

SETUID- UND SETGID-BITS
chmod löscht das »set-group-ID«-Bit einer regulären Datei, wenn die Gruppen-ID der Datei nicht mit der effektiven Gruppen-ID des Benutzers oder einer seiner zusätzlichen Gruppen-IDs übereinstimmt, es sei denn, der Benutzer hat die entsprechenden Privilegien. Zusätzliche Einschränkungen können bewirken, dass die Bits »set-user-ID« und »set-group-ID« aus MODUS oder RDATEI ignoriert werden. Dieses Verhalten hängt von der Richtlinie und Funktionalität des zu Grunde liegenden Systemaufrufs chmod ab. Im Zweifel überprüfen Sie das Verhalten des zu Grunde liegenden Systems.

chmod lässt die Bits »set-user-ID« und »set-group-ID« von einem Verzeichnis unangetastet, es sei denn, Sie geben dies explizit anders an. Sie können diese Bits mit symbolischen Modi wie u+s und g-s setzen oder löschen und Sie können die Bits mit einem numerischen Modus setzen (aber nicht löschen).

SCHALTER FÜR EINGESCHRÄNKTES LÖSCHEN ODER »KLEBRIGES« (STICKY) BIT
Der Schalter für eingeschränktes Löschen oder »klebriges« (sticky) Bit ist ein einzelnes Bit, dessen Interpretation vom Dateityp abhängt. Bei Verzeichnissen verhindert es, dass nicht privilegierte Benutzer eine Datei in diesem Verzeichnis löschen oder umbenennen, es sei denn, ihnen gehört die Datei oder das Verzeichnis; dies nennt sich »Schalter für eingeschränktes Löschen« für das Verzeichnis und wird üblicherweise bei allgemein schreibbaren Verzeichnissen wie /tmp verwendet. Bei regulären Dateien auf einigen älteren Systemen sorgt das Bit dafür, dass das »Text-Image« eines Programms auf dem Swapgerät gespeichert wird. Dadurch kann das Programm schneller geladen werden, wenn es ausgeführt wird; dies nennt sich das »klebrige« (sticky) Bit.

OPTIONEN

Den Modus jeder DATEI auf MODUS setzen. Mit --reference wird der Modus jeder DATEI auf den Modus von RDATEI gesetzt.

-c, --changes
    Wie --verbose, aber nur durchgeführte Änderungen berichten

-f, --silent, --quiet
    Die meisten Fehlermeldungen unterdrücken

-v, --verbose
    Eine Diagnose für jede verarbeitete Datei ausgeben

--no-preserve-root
    »/« nicht besonders behandeln (Voreinstellung)

--preserve-root
    Rekursive Bearbeitung von »/« ablehnen

--reference=RDATEI
    Modus von RDATEI anstatt der MODUS-Werte verwenden

-R, --recursive
    Dateien und Verzeichnisse rekursiv ändern

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

Jeder MODUS hat die Form »[ugoa]*([-+=]([rwxXst]*|[ugo]))+|[-+=][0-7]+«.

Onlinehilfe für GNU coreutils: <http://www.gnu.org/software/coreutils/> Berichten Sie Fehler in der Übersetzung von chmod an <http://translationproject.org/team/de.html>

AUTOR
Geschrieben von David MacKenzie und Jim Meyering.

COPYRIGHT
Copyright © 2014 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
chmod(2)

Die vollständige Dokumentation für chmod wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und chmod auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info coreutils 'chmod invocation'

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org>, Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.